Loading...
Searching...
No Matches
IndexGridBuilder.h File Reference

Generates a NanoVDB IndexGrid from any existing NanoVDB grid. More...

`#include "GridHandle.h"`
`#include "NodeManager.h"`
`#include "Range.h"`
`#include "ForEach.h"`
`#include <map>`
`#include <limits>`
`#include <iostream>`
`#include <sstream>`
`#include <vector>`
`#include <cstring>`

Go to the source code of this file.

## Classes

class | IndexGridBuilder< SrcValueT >
| Allows for the construction of NanoVDB grids without any dependency. More...

## Namespaces

namespace | nanovdb

## Detailed Description

Generates a NanoVDB IndexGrid from any existing NanoVDB grid.

Author
  Ken Museth

Date
  July 8, 2022

Note
  An IndexGrid encodes index offsets to external value arrays